get
https://api.zenoti.com/v1/guests//appointments?page=&size=&start_date=&end_date=
Provide unique identifier of the guest as guest_id and this api will retrieve the appointment history of the respective guest.This API also allows guests to view the appointment details of other guests, provided they have a relationship defined in Zenoti. Also, only a host guest token can view another guest's appointment details. use the query param "include_no_show_cancel" and pass true as value to include the noshow and cancelled appointments as well in the result. by default response doesnt include the noshow cancel appointments. you can also filter the appointments using the "appointment_type" query param, use "upcoming" as value to filter only future appointments and "past" to filter the past appointments only.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Details
| Name | Type | Description |
|---|---|---|
| appointments | object | Object containing the appointment group info of the guest |
| page_info | object | Pagination details of the appointments list - Total, page, size |
appointments object
| Name | Type | Description |
|---|---|---|
| appointment_group_id | guid | Unique identifier of the appointment group |
| no_of_guests | enum | number of guests in the appointment |
| invoice_id | guid | Unique identifier of the invoice associated the appointment |
| invoice_status | int? | Status of the invoice: Open = 0, Processed = 1, CampaignApplied = 2, CouponApplied = 3, Closed = 4, NotSpecified = 11, Voided = 99 |
| is_rebooking | bool | Whether the appointment is a rebooking |
| notes | string | notes in the appointment, if any |
| invoice | object | Invoice object containing Id, invoice no, status and receipt no |
| center_id | guid | Unique identifier of the center associated to the appointment |
| appointment_services | list | List of services in the appointment |
| appointment_packages | list | List of packages in the appointment |
| price | object | Price details associated to the appointment |
| group_invoice_id | guid? | Unique Identifier of the group invoice, if applicable |
| is_feedback_submitted | bool | Whether feedback about the appointment has been submitted |
appointment_services object
| Name | Type | Description |
|---|---|---|
| appointment_id | guid | Unique identifier of the appointment |
| invoice_item_id | guid | Unique identifier of the invoice item |
| cart_item_id | guid | Unique identifier of the cart item |
| service | object | Details of the Service in the appointment |
| requested_therapist_gender | enum | Gender of the requested therapist |
| start_time | datetime? | Start time of the appointment at the center |
| end_time | datetime? | End time of the appointment at the center |
| room | object | Details of the room in which service is done, if applicable |
| equipment | object | Details of the equipment in which service is done, if applicable |
| appointment_status | enum | NoShow = -2, Cancelled = -1, New = 0, Closed = 1, Checkin = 2, Confirm = 4,Break = 10, NotSpecified = 11, Available = 20, Voided = 21 |
| requested_therapist_id | guid | Unique identifier of the requested therapist |
| Quantity | int | Quantity of services in the appointment |
| service_custom_data_indicator | string | Details on Service custom data in hash appended format |
| item_actions | string | Actions that are taken on the Service. Eg: Membership applied, Service credits availed etc |
| is_membership_applied | bool | Whether membership is applied on the Service |
| is_addon | bool | Whether service has an add-on |
| addon_appointment_id | guid | If service has an add-on, then Unique identifier of the add-on appointment |
| has_service_form | bool | Whether the service has a form |
| has_segments | bool | Whether the service has segments |
| segments | List of segment objects | If the service has segments, then the list of the segment objects |
appointment_packages object
| Name | Type | Description |
|---|---|---|
| id | guid | Unique identifier of the package |
| name | string | Name of the package |
| duration | int | Time required to perform the services in the package |
| service | object | Details of the Service in the appointment |
| appointment_services | list | List of services in the package |
| price | object | Price details associated to the appointment |
service object
| Name | Type | Description |
|---|---|---|
| id | guid | Unique identifier of the service |
| name | string | Name of the service |
| display_name | string | Name of the service |
| price | object | Details of the price of the service |
| duration | int | Time required to perform the service |
| category_id | guid? | Category which the service belongs to |
| is_addon | bool | Whether this service is an add-on |
| has_addons | bool | Whether this service has add-ons |
| addons | list | List of add-ons if the service has add-on |
| is_variant | bool | Whether this service is a variant |
| has_variant | bool | Whether this service has variants |
| parent_service_id | guid? | Unique Identifer of the parent service, if this service is an add-on/variant/segment |
